import type { PromiseOrDirect } from "grafast";
import type { GraphQLSchema } from "graphql";
import type { HandlerResult, NormalizedRequestDigest } from "../interfaces.js";
import type { OptionsFromConfig } from "../options.js";
export declare const APPLICATION_JSON = "application/json;charset=utf-8";
export declare const APPLICATION_GRAPHQL_RESPONSE_JSON = "application/graphql-response+json;charset=utf-8";
export declare const TEXT_HTML = "text/html;charset=utf-8";
export declare const makeGraphQLHandler: (resolvedPreset: GraphileConfig.ResolvedPreset, dynamicOptions: OptionsFromConfig, schemaOrPromise: PromiseOrDirect<GraphQLSchema> | null) => (request: NormalizedRequestDigest, graphiqlHandler?: ((request: NormalizedRequestDigest) => Promise<HandlerResult | null>) | undefined) => Promise<HandlerResult | null>;
//# sourceMappingURL=graphql.d.ts.map